import Vue from 'vue'
import App from './App.vue'
// import 'element-ui/lib/theme-chalk/index.css'
import router from './router'
import Vant from 'vant';
import 'vant/lib/index.css';
import './style.less';
import {Lazyload} from 'vant';

Vue.config.productionTip = false
Vue.use(Vant);
Vue.use(Lazyload);
Vue.filter('nft', function (value) {
    if (!value) return '';
    value = parseInt(value);
    if (value >= 10000) {
        value = (value / 10000).toFixed(2).toString();
        let di = value.lastIndexOf('.'),
            f = value.substr(di + 1);
        value = value.substr(0, di);
        if (parseInt(f) != 0) {
            value += '.' + f.replace(/0+$/g,'');
        }
        return value + '万';
    }
    return value;
    // return value.toString().replace(/(\d{1,3})(?=(\d{3})+(?:$|\.))/g,'$1,');
})
new Vue({
    router,
    render: h => h(App)
}).$mount('#app')
