import Vue from 'vue';
import Vuex from 'vuex';
Vue.use(Vuex);

const store = new Vuex.Store({
    state: {
        user: {
            userId: 0,
            userName: null,
            email: null
        }
    },
    mutations: {
        login(state,user) {
            state.user.userId = user.userId;
            state.user.userName = user.userName;
            state.user.email = user.email;
        },
        logout(state) {
            state.user.userId = 0;
            state.user.userName = null;
            state.user.email = null;
        }
    }
});

export default store